[package]
name = "rust-engine"
version = "0.1.0"
authors = ["Till <asuro@posteo.de>"]
edition = "2018"
default-run = "rust-engine"

[dependencies]
vulkano-shaders = "0.26"
vulkano = "0.26"
vulkano-win = "0.26"
cgmath = "0.18.0"
winit = "0.25"
image = "0.23"
serde = "1.0"
serde_json = "1.0"
serde_derive = "1.0"
toml = "0.5"
gilrs = "0.7"
gltf = "0.15"
glyph_brush = "0.7"
winapi = "0.3"
rust-engine-proc = { path = "rust-engine-proc" }

[profile.release]
debug = 1

[[bin]]
name = "converter"
path = "build/converter/src/main.rs"